import request from '@/utils/request'
/** 学生端----------------------------------------------------------------------- */

//气瓶使用-领用气瓶-列表
export function receivingGasListByStu(query) {
  return request({
    url: '/zd-bottle/bottleStorage/receivingGasListByStu',
    method: 'get',
    params: query
  })
}
//气瓶使用-归还气瓶-列表
export function returnGasByStu(query) {
  return request({
    url: '/zd-bottle/bottleStorage/returnGasByStu',
    method: 'get',
    params: query
  })
}
//气瓶使用-领用
export function useRecord(data) {
  return request({
    url: '/zd-bottle/useRecord',
    method: 'post',
    data: data
  })
}
//气瓶使用-领用
export function returnRecord(data) {
  return request({
    url: '/zd-bottle/useRecord',
    method: 'put',
    data: data
  })
}
/** 管理端----------------------------------------------------------------------- */
//用气审核-列表头部总数
export function usegasTitle(query) {
  return request({
    url: '/zd-bottle/usegasApply/applyTabCount',
    method: 'get',
    params: query
  })
}
//用气审核-待审核列表
export function usegasWaitApplyList(query) {
  return request({
    url: '/zd-bottle/usegasApply/waitApplyList',
    method: 'get',
    params: query
  })
}
//用气审核-已通过列表
export function usegasPassApplyList(query) {
  return request({
    url: '/zd-bottle/usegasApply/passApplyList',
    method: 'get',
    params: query
  })
}
//用气审核-未通过列表
export function usegasRefuseApplyList(query) {
  return request({
    url: '/zd-bottle/usegasApply/refuseApplyList',
    method: 'get',
    params: query
  })
}
//用气审核-审核记录
export function usegasAuditRecordList(query) {
  return request({
    url: '/zd-bottle/usegasAuditRecord/auditRecordList',
    method: 'get',
    params: query
  })
}
//用气审核-审核
export function usegasCheck(data) {
  return request({
    url: '/zd-bottle/usegasAuditRecord/auditPass',
    method: 'post',
    data: data
  })
}

//气瓶使用-领用气瓶-列表
export function receivingGasList(query) {
  return request({
    url: '/zd-bottle/bottleStorage/receivingGasList',
    method: 'get',
    params: query
  })
}
//气瓶使用-归还气瓶-列表
export function returnGas(query) {
  return request({
    url: '/zd-bottle/bottleStorage/returnGas',
    method: 'get',
    params: query
  })
}
//报警记录
export function alarmRecordList(query) {
  return request({
    url: '/zd-bottle/alarmRecord/list',
    method: 'get',
    params: query
  })
}
//使用记录
export function useRecordList(query) {
  return request({
    url: '/zd-bottle/useRecord/list',
    method: 'get',
    params: query
  })
}
//使用记录-详情
export function useRecordDetail(query) {
  return request({
    url: '/zd-bottle/useRecord/getUseDetails/'+query,
    method: 'get',
  })
}
//气瓶类目-列表
export function gasCategoryList(query) {
  return request({
    url: '/system/dict/data/listNotPower?dictType=qp_specification_category',
    method: 'get',
    params: query
  })
}
//出入库信息统计
export function outStatistics(query) {
  return request({
    url: '/zd-bottle/useRecord/calcRepertory',
    method: 'get',
    params: query
  })
}
//气瓶申请统计
export function gasApplyStatistics(query) {
  return request({
    url: '/zd-bottle/useRecord/calcApply',
    method: 'get',
    params: query
  })
}
//用气量统计
export function useGasStatistics(query) {
  return request({
    url: '/zd-bottle/useRecord/calcAmount',
    method: 'get',
    params: query
  })
}

//异常记录
export function abnormalRecordList(query) {
  return request({
    url: '/zd-bottle/bottleStorageError/list',
    method: 'get',
    params: query
  })
}
//异常记录-详情
export function abnormalRecordDetail(query) {
  return request({
    url: '/zd-bottle/bottleStorageError/'+query,
    method: 'get',
    params: query
  })
}

// RFID标签-新增
export function RFIDtagAdd(data) {
  return request({
    url: '/zd-bottle/rfidTag',
    method: 'post',
    data: data
  })
}
// RFID标签-列表
export function RFIDtagList(query) {
  return request({
    url: '/zd-bottle/rfidTag/list',
    method: 'get',
    params: query
  })
}
// RFID标签-删除
export function RFIDtagDelete(data) {
  return request({
    url: '/zd-bottle/rfidTag/'+data,
    method: 'delete',
  })
}

// 气瓶管理-列表
export function gasManageList(query) {
  return request({
    url: '/zd-bottle/bottleStorage/list',
    method: 'get',
    params: query
  })
}
// 气瓶管理-新增
export function gasManageAdd(data) {
  return request({
    url: '/zd-bottle/bottleStorage',
    method: 'post',
    data: data
  })
}
// 气瓶管理-详情
export function gasManageInfo(data) {
  return request({
    url: '/zd-bottle/bottleStorage/'+data,
    method: 'get',
  })
}
// 气瓶管理-出库
export function gasManageOut(data) {
  return request({
    url: '/zd-bottle/bottleStorageOut',
    method: 'post',
    data: data
  })
}
